import java.io.*;
import java.util.*;

public class ConsoleIO 
{
  public static void main(String args[])
  {
    String s;
    int i;
    
    System.out.println(
      "* Console I/O demonstration\n");
    
    while(true)
    {    
      System.out.print(
	"Enter string ('quit' to exit): ");
      s = new String(getKbdString());
      System.out.println("String: " + s);
      
      if(s.equals("quit"))
	break;
    
      System.out.print("Enter intger number: ");
      i = getKbdInt();
      System.out.println("Number: " + i);
    }  
  }

  // ============================================
  // getKbdString
  // ============================================
  static public String getKbdString()
  {
    byte bKbd[] = new byte[256];
    int iCnt = 0;
    String szStr = "";
    
    try
    {
      iCnt = System.in.read(bKbd);
    }
    catch(Exception ex)
    {
      System.out.println(ex.toString()); 
    }
      
    szStr = new String(bKbd, 0, iCnt);
    szStr = szStr.trim();
    return szStr;
  }

  // ============================================
  // getKbdInt
  // ============================================
  static public int getKbdInt()
  {
    String szStr = getKbdString();
    
    Integer intVal = new Integer(szStr);
    return intVal.intValue();
  }
}

